name: bijouterieguilhem
display_name: Bijouteire Guilhem
version: 1.0.0
author:
  name: "CelineDesign"
  email: "contact@celinedesign.com"
  url: "https://www.celinedesign.com"

meta:
  compatibility:
      from: 1.7.2.0
      to: ~

  available_layouts:
    layout:
      name: Full Width
      description: No side columns, ideal for distraction-free pages such as product pages.

global_settings:
  configuration:
    PS_QUICK_VIEW: false

  hooks:
    custom_hooks:
      - name: displayFooterBefore
        title: displayFooterBefore
        description: Add a widget area above the footer
    modules_to_hook:
      displayTop:
        - ps_customersignin
        - ps_shoppingcart
      displayHome:
        - ps_featuredproducts
      displayNav:
        - ps_mainmenu
      displayFooter:
        - ps_linklist
        - ps_contactinfo
  modules:
    to_disable:
      - ps_searchbar
      - ps_imageslider
      - ps_sharebuttons
      - ps_categorytree
      - blockreassurance
      - ps_customeraccountlinks
  image_types:
    cart_default:
      width: 125
      height: 125
      scope: [products]
    small_default:
      width: 150
      height: 150
      scope: [products, categories, manufacturers, suppliers]
    medium_default:
      width: 288
      height: 288
      scope: [products, manufacturers, suppliers]
    medium_2x:
      width: 576
      height: 576
      scope: [products, manufacturers, suppliers]
    home_default:
      width: 120
      height: 120
      scope: [products]
    home_2x:
      width: 240
      height: 240
      scope: [products]
    zoom:
      width: 1200
      height: 1200
      scope: [products]
    zoom_medium:
      width: 760
      height: 760
      scope: [products]
    large_default:
      width: 641
      height: 641
      scope: [products, manufacturers, suppliers]
    large_2x:
      width: 1282
      height: 1282
      scope: [products, manufacturers, suppliers]
    category_default:
      width: 141
      height: 180
      scope: [categories]
    cat_large:
      width: 411
      height: 900
      scope: [categories]
    cat_large_2x:
      width: 822
      height: 1800
      scope: [categories]
    stores_default:
      width: 170
      height: 115
      scope: [stores]

theme_settings:
  default_layout: layout

assets:
  js:
    all:
      - id: menu
        path: assets/js/menu.js
        position: bottom
    index:
      - id: interaction
        path: assets/js/intersection-observer.js
        position: bottom
      - id: sal
        path: assets/js/sal.js
        position: bottom
      - id: homeanim
        path: assets/js/home-anim.js
        position: bottom
      - id: swiper
        path: //cdn.jsdelivr.net/npm/swiper@11/swiper-element-bundle.min.js
        position: bottom
        server: remote
    manufacturer:
      - id: sal
        path: assets/js/sal.js
        position: bottom
      - id: homeanim
        path: assets/js/home-anim.js
        position: bottom
    cms:
      - id: sal
        path: assets/js/sal.js
        position: bottom
      - id: homeanim
        path: assets/js/home-anim.js
        position: bottom
    product:
      - id: productvariants
        path: assets/js/productvariants.js
        position: bottom
      - id: photoswipe
        path: assets/js/photoswipe.js
        position: bottom
      - id: photoswipe-ui-default
        path: assets/js/photoswipe-ui-default.js
        position: bottom
      - id: product-gallery
        path: assets/js/product-gallery.js
        position: bottom
      - id: productaddtocart
        path: assets/js/product-add-to-cart.js
        position: bottom
  css:
    product:
      - id: photoswipe
        path: assets/css/photoswipe.css
        media: all
        priority: 100
      - id: photoswipe-skin
        path: assets/photoswipe-skin/default-skin.css
        media: all
        priority: 100